Package org.codehaus.commons.compiler.jdk.util

# Class JavaFileObjects.ResourceJavaFileObject

java.lang.Object
javax.tools.SimpleJavaFileObject
org.codehaus.commons.compiler.jdk.util.JavaFileObjects.ResourceJavaFileObject

All Implemented Interfaces:
  `FileObject`, `JavaFileObject`

Enclosing class:
  `JavaFileObjects`

public static final class JavaFileObjects.ResourceJavaFileObject extends SimpleJavaFileObject
Byte array-based implementation of `JavaFileObject`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface javax.tools.JavaFileObject

`JavaFileObject.Kind`

## Field Summary

### Fields inherited from class javax.tools.SimpleJavaFileObject

`kind, uri`

## Method Summary

Modifier and Type
Method
Description
`CharSequence`
`getCharContent(boolean ignoreEncodingErrors)`
`long`
`getLastModified()`
`String`
`getName()`
`String`
`getResourceFileName()`
`boolean`
`isNameCompatible(String simpleName, JavaFileObject.Kind kind)`
`InputStream`
`openInputStream()`
`Reader`
`openReader(boolean ignoreEncodingErrors)`

### Methods inherited from class javax.tools.SimpleJavaFileObject

`delete, getAccessLevel, getKind, getNestingKind, openOutputStream, openWriter, toString, toUri`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### isNameCompatible

public boolean isNameCompatible(@Nullable String simpleName, @Nullable JavaFileObject.Kind kind)

Specified by:
  `isNameCompatible` in interface `JavaFileObject`
Overrides:
  `isNameCompatible` in class `SimpleJavaFileObject`

### getName

public String getName()

Specified by:
  `getName` in interface `FileObject`
Overrides:
  `getName` in class `SimpleJavaFileObject`

### openInputStream

public InputStream openInputStream() throws IOException

Specified by:
  `openInputStream` in interface `FileObject`
Overrides:
  `openInputStream` in class `SimpleJavaFileObject`
Throws:
  `IOException`

### openReader

public Reader openReader(boolean ignoreEncodingErrors) throws IOException

Specified by:
  `openReader` in interface `FileObject`
Overrides:
  `openReader` in class `SimpleJavaFileObject`
Throws:
  `IOException`

### getCharContent

public CharSequence getCharContent(boolean ignoreEncodingErrors) throws IOException

Specified by:
  `getCharContent` in interface `FileObject`
Overrides:
  `getCharContent` in class `SimpleJavaFileObject`
Throws:
  `IOException`

### getLastModified

public long getLastModified()

Specified by:
  `getLastModified` in interface `FileObject`
Overrides:
  `getLastModified` in class `SimpleJavaFileObject`

### getResourceFileName

public String getResourceFileName()